SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- o
- p
- r
- s
- t
- u
- v

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - s -

- SetPercentDone() : SketchUpPluginProgressCallback
- SetProgressMessage() : SketchUpPluginProgressCallback
- SetStepSize() : SketchUpPluginProgressCallback
- ShowOptionsDialog() : SketchUpModelExporterInterface , SketchUpModelImporterInterface
- ShowSummaryDialog() : SketchUpModelExporterInterface , SketchUpModelImporterInterface
- Step() : SketchUpPluginProgressCallback
- SupportsOptions() : SketchUpModelExporterInterface , SketchUpModelImporterInterface
- SupportsProgress() : SketchUpModelExporterInterface , SketchUpModelImporterInterface
- SUSceneActivate() : SUSceneRef
- SUSceneAddLayer() : SUSceneRef
- SUSceneAddLayerFolder() : SUSceneRef
- SUSceneClearLayerFolders() : SUSceneRef
- SUSceneClearLayers() : SUSceneRef
- SUSceneClearPhotoMatchImage() : SUSceneRef
- SUSceneCopy() : SUSceneRef
- SUSceneCreate() : SUSceneRef
- SUSceneFromEntity() : SUSceneRef
- SUSceneGetActiveSectionPlanes() : SUSceneRef
- SUSceneGetAxes() : SUSceneRef
- SUSceneGetCamera() : SUSceneRef
- SUSceneGetDescription() : SUSceneRef
- SUSceneGetDrawingElementHidden() : SUSceneRef
- SUSceneGetEnvironment() : SUSceneRef
- SUSceneGetFlags() : SUSceneRef
- SUSceneGetHiddenEntities() : SUSceneRef
- SUSceneGetIncludeInAnimation() : SUSceneRef
- SUSceneGetLayerFolders() : SUSceneRef
- SUSceneGetLayers() : SUSceneRef
- SUSceneGetName() : SUSceneRef
- SUSceneGetNumActiveSectionPlanes() : SUSceneRef
- SUSceneGetNumHiddenEntities() : SUSceneRef
- SUSceneGetNumLayerFolders() : SUSceneRef
- SUSceneGetNumLayers() : SUSceneRef
- SUSceneGetPhotoMatchImageDisplayed() : SUSceneRef
- SUSceneGetRenderingOptions() : SUSceneRef
- SUSceneGetShadowInfo() : SUSceneRef
- SUSceneGetSketchAxesDisplayed() : SUSceneRef
- SUSceneGetStyle() : SUSceneRef
- SUSceneGetUseAxes() : SUSceneRef
- SUSceneGetUseCamera() : SUSceneRef
- SUSceneGetUseEnvironment() : SUSceneRef
- SUSceneGetUseHidden() : SUSceneRef
- SUSceneGetUseHiddenGeometry() : SUSceneRef
- SUSceneGetUseHiddenLayers() : SUSceneRef
- SUSceneGetUseHiddenObjects() : SUSceneRef
- SUSceneGetUseRenderingOptions() : SUSceneRef
- SUSceneGetUseSectionPlanes() : SUSceneRef
- SUSceneGetUseShadowInfo() : SUSceneRef
- SUSceneRelease() : SUSceneRef
- SUSceneRemoveLayer() : SUSceneRef
- SUSceneRemoveLayerFolder() : SUSceneRef
- SUSceneSetCamera() : SUSceneRef
- SUSceneSetDescription() : SUSceneRef
- SUSceneSetDrawingElementHidden() : SUSceneRef
- SUSceneSetEnvironment() : SUSceneRef
- SUSceneSetFlags() : SUSceneRef
- SUSceneSetIncludeInAnimation() : SUSceneRef
- SUSceneSetName() : SUSceneRef
- SUSceneSetSketchAxesDisplayed() : SUSceneRef
- SUSceneSetUseAxes() : SUSceneRef
- SUSceneSetUseCamera() : SUSceneRef
- SUSceneSetUseEnvironment() : SUSceneRef
- SUSceneSetUseHidden() : SUSceneRef
- SUSceneSetUseHiddenGeometry() : SUSceneRef
- SUSceneSetUseHiddenLayers() : SUSceneRef
- SUSceneSetUseHiddenObjects() : SUSceneRef
- SUSceneSetUseRenderingOptions() : SUSceneRef
- SUSceneSetUseSectionPlanes() : SUSceneRef
- SUSceneSetUseShadowInfo() : SUSceneRef
- SUSceneToEntity() : SUSceneRef
- SUSceneUpdate() : SUSceneRef
- SUSchemaGetSchemaName() : SUSchemaRef
- SUSchemaGetSchemaType() : SUSchemaRef
- SUSectionPlaneCreate() : SUSectionPlaneRef
- SUSectionPlaneFromDrawingElement() : SUSectionPlaneRef
- SUSectionPlaneFromEntity() : SUSectionPlaneRef
- SUSectionPlaneGetName() : SUSectionPlaneRef
- SUSectionPlaneGetPlane() : SUSectionPlaneRef
- SUSectionPlaneGetSymbol() : SUSectionPlaneRef
- SUSectionPlaneIsActive() : SUSectionPlaneRef
- SUSectionPlaneRelease() : SUSectionPlaneRef
- SUSectionPlaneSetName() : SUSectionPlaneRef
- SUSectionPlaneSetPlane() : SUSectionPlaneRef
- SUSectionPlaneSetSymbol() : SUSectionPlaneRef
- SUSectionPlaneToDrawingElement() : SUSectionPlaneRef
- SUSectionPlaneToEntity() : SUSectionPlaneRef
- SUSelectionAdd() : SUSelectionRef
- SUSelectionClear() : SUSelectionRef
- SUSelectionGetEntityList() : SUSelectionRef
- SUSelectionGetNumElements() : SUSelectionRef
- SUSelectionInvert() : SUSelectionRef
- SUSelectionIsType() : SUSelectionRef
- SUSelectionRemove() : SUSelectionRef
- SUSelectionToggle() : SUSelectionRef
- SUShadowInfoGetKeys() : SUShadowInfoRef
- SUShadowInfoGetNumKeys() : SUShadowInfoRef
- SUShadowInfoGetValue() : SUShadowInfoRef
- SUShadowInfoSetValue() : SUShadowInfoRef
- SUSnapCreate() : SUSnapRef
- SUSnapFromDrawingElement() : SUSnapRef
- SUSnapFromEntity() : SUSnapRef
- SUSnapGetDirection() : SUSnapRef
- SUSnapGetPosition() : SUSnapRef
- SUSnapGetUp() : SUSnapRef
- SUSnapRelease() : SUSnapRef
- SUSnapSet() : SUSnapRef
- SUSnapToDrawingElement() : SUSnapRef
- SUSnapToEntity() : SUSnapRef
- SUStringCompare() : SUStringRef
- SUStringCreate() : SUStringRef
- SUStringCreateFromUTF16() : SUStringRef
- SUStringCreateFromUTF8() : SUStringRef
- SUStringGetUTF16() : SUStringRef
- SUStringGetUTF16Length() : SUStringRef
- SUStringGetUTF8() : SUStringRef
- SUStringGetUTF8Length() : SUStringRef
- SUStringRelease() : SUStringRef
- SUStringSetUTF16() : SUStringRef
- SUStringSetUTF8() : SUStringRef
- SUStringTrimLeft() : SUStringRef
- SUStringTrimRight() : SUStringRef
- SUStyleCreate() : SUStylesRef
- SUStyleCreateFromFile() : SUStylesRef
- SUStyleFromEntity() : SUStylesRef
- SUStyleGetDescription() : SUStylesRef
- SUStyleGetDisplayName() : SUStylesRef
- SUStyleGetDisplaysWatermark() : SUStylesRef
- SUStyleGetGuid() : SUStylesRef
- SUStyleGetName() : SUStylesRef
- SUStyleGetPath() : SUStylesRef
- SUStyleGetProperty() : SUStylesRef
- SUStyleGetThumbnail() : SUStylesRef
- SUStyleRelease() : SUStylesRef
- SUStylesAddStyle() : SUStylesRef
- SUStylesApplyStyleToScene() : SUStylesRef
- SUStyleSaveToFile() : SUStylesRef
- SUStyleSetDescription() : SUStylesRef
- SUStyleSetName() : SUStylesRef
- SUStyleSetProperty() : SUStylesRef
- SUStylesGetActiveStyle() : SUStylesRef
- SUStylesGetActiveStyleChanged() : SUStylesRef
- SUStylesGetNumStyles() : SUStylesRef
- SUStylesGetSelectedStyle() : SUStylesRef
- SUStylesGetStyleByGuid() : SUStylesRef
- SUStylesGetStyleByPath() : SUStylesRef
- SUStylesGetStyles() : SUStylesRef
- SUStylesRemoveStyle() : SUStylesRef
- SUStylesSetSelectedStyle() : SUStylesRef
- SUStyleToEntity() : SUStylesRef